/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <zephyr/zephyr.h>
#include <zephyr/drivers/gpio.h>

#define SLEEP_TIME_MS 500

void main(void)
{
	printk("Hello World! %s\n", CONFIG_BOARD);
	const struct device *dev0;
    const int PIN=29;
    int ret;

    dev0 = DEVICE_DT_GET(DT_NODELABEL(gpio0));

    if (dev0==NULL) {
        printk("device not found");
    }

    if (!device_is_ready(dev0)) {
        printk("GPIO controller not ready");
    }

    ret = gpio_pin_configure(dev0, PIN, GPIO_OUTPUT);
    if(ret){
        printk("gpio_pin configure failed: %d\n", ret);
    }
    while(1) {
        gpio_pin_toggle(dev0, PIN);
        k_msleep(SLEEP_TIME_MS);
    }
}
